package com.ruoyi.project.plant.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 目标完成判定标准对象 t_targetyardstick
 *
 * @author ruoyi
 * @date 2021-08-16
 */
public class TTargetyardstick extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    /**
     * 目标协议ID
     */
    @Excel(name = "目标协议ID")
    private Long agreementId;

    /**
     * 目标
     */
    @Excel(name = "目标")
    private String target;

    /**
     * 完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date achieveDate;

    /**
     * 判定标准
     */
    @Excel(name = "判定标准")
    private String yardstick;

    /**
     * 合作者
     */
    @Excel(name = "合作者")
    private String partners;

    /**
     * 权重比例
     */
    @Excel(name = "权重比例")
    private String weighing;

    /**
     * 评估
     */
    @Excel(name = "评估")
    private String assessment;

    /**
     * 类别
     */
    @Excel(name = "类别")
    private String category;

    /**
     * 状态
     */
    private Long delFlag;

    /**
     * 创建人
     */
    private String createrCode;

    /**
     * 创建时间
     */
    private Date createdate;

    /**
     * 修改人
     */
    private String updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAgreementId(Long agreementId) {
        this.agreementId = agreementId;
    }

    public Long getAgreementId() {
        return agreementId;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getTarget() {
        return target;
    }

    public void setAchieveDate(Date achieveDate) {
        this.achieveDate = achieveDate;
    }

    public Date getAchieveDate() {
        return achieveDate;
    }

    public void setYardstick(String yardstick) {
        this.yardstick = yardstick;
    }

    public String getYardstick() {
        return yardstick;
    }

    public void setPartners(String partners) {
        this.partners = partners;
    }

    public String getPartners() {
        return partners;
    }

    public void setWeighing(String weighing) {
        this.weighing = weighing;
    }

    public String getWeighing() {
        return weighing;
    }

    public void setAssessment(String assessment) {
        this.assessment = assessment;
    }

    public String getAssessment() {
        return assessment;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getCategory() {
        return category;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("agreementId", getAgreementId())
                .append("target", getTarget())
                .append("achieveDate", getAchieveDate())
                .append("yardstick", getYardstick())
                .append("partners", getPartners())
                .append("weighing", getWeighing())
                .append("assessment", getAssessment())
                .append("category", getCategory())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .toString();
    }
}
